Description

I'm trying to install foreman 2.1 nightly, but the below error happens.

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-server' returned

 1: Error: Nothing to do

Error: /Stage[main]/Main/Package[rh-postgresql12-postgresql-server]/ensure: change from 'purged' t

o 'present' failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-ser

ver' returned 1: Error: Nothing to do

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing

 to do

Error: /Stage[main]/Main/Package[rh-redis5-redis]/ensure: change from 'purged' to 'present' failed

: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing to d

o

[ERROR 2020-03-02T12:29:30 verbose] Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-post

gresql12-postgresql-server' returned 1: Error: Nothing to do

Error: /Stage[main]/Main/Package[rh-postgresql12-postgresql-server]/ensure: change from 'purged' t

o 'present' failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-ser

ver' returned 1: Error: Nothing to do

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing

 to do

Error: /Stage[main]/Main/Package[rh-redis5-redis]/ensure: change from 'purged' to 'present' failed

: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing to d

o

History

#1 - 03/02/2020 02:33 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Need more information

Can you share which OS and which repositories are enabled?

#2 - 03/02/2020 03:06 PM - Elias Pereira

Ewoud Kohl van Wijngaarden wrote:

Can you share which OS and which repositories are enabled?

 For sure!! Sorry for my lack of attention in not putting this information before!!

OS: centos7

Repo:

https://yum.puppet.com/puppet6-release-el-7.noarch.rpm

http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

https://yum.theforeman.org/releases/nightly/el7/x86_64/foreman-release.rpm

#3 - 03/02/2020 07:35 PM - Elias Pereira

Elias Pereira wrote:

05/12/2024 1/2

https://yum.puppet.com/puppet6-release-el-7.noarch.rpm
http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
https://yum.theforeman.org/releases/nightly/el7/x86_64/foreman-release.rpm


Ewoud Kohl van Wijngaarden wrote:

Can you share which OS and which repositories are enabled?

 For sure!! Sorry for my lack of attention in not putting this information before!!

OS: centos7

Repo:

https://yum.puppet.com/puppet6-release-el-7.noarch.rpm

http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

https://yum.theforeman.org/releases/nightly/el7/x86_64/foreman-release.rpm

 The lack of packages has been fixed by installing the repository below:

yum -y install centos-release-scl-rh

 I follow the wiki instructions. Perhaps it is necessary to update the wiki with this repository?

#4 - 03/02/2020 07:38 PM - Ewoud Kohl van Wijngaarden

Which wiki instructions? They should probably be removed and link to https://theforeman.org/manuals/1.24/index.html#2.Quickstart

#5 - 03/02/2020 08:00 PM - Elias Pereira

Ewoud Kohl van Wijngaarden wrote:

Which wiki instructions? They should probably be removed and link to https://theforeman.org/manuals/1.24/index.html#2.Quickstart

 https://theforeman.org/manuals/nightly/index.html#2.Quickstart

selecting the centos option.

#6 - 03/03/2020 12:48 PM - Elias Pereira

Elias Pereira wrote:

Ewoud Kohl van Wijngaarden wrote:

Which wiki instructions? They should probably be removed and link to https://theforeman.org/manuals/1.24/index.html#2.Quickstart

 https://theforeman.org/manuals/nightly/index.html#2.Quickstart

selecting the centos option.

 Quickstart didn't provide this repo, but in the https://theforeman.org/manuals/1.24/index.html#3.3InstallFromPackages informs to install. My mistake,

guys!! I'm Sorry!!!

Maybe put this repo on the quickstart tutorial? :D

#7 - 03/03/2020 12:49 PM - Elias Pereira

- Status changed from Need more information to Resolved
